com.google.gwt.user.client.rpc

## Interface SerializationStreamReader

    public interface SerializationStreamReader

An interface for reading values from a stream.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `readBoolean()`
`byte` `readByte()`
`char` `readChar()`
`double` `readDouble()`
`float` `readFloat()`
`int` `readInt()`
`long` `readLong()`
`java.lang.Object` `readObject()`
`short` `readShort()`
`java.lang.String` `readString()`

### Method Detail

#### readBoolean

    boolean readBoolean()
                 throws SerializationException

Throws:
  `SerializationException`

#### readByte

    byte readByte()
           throws SerializationException

Throws:
  `SerializationException`

#### readChar

    char readChar()
           throws SerializationException

Throws:
  `SerializationException`

#### readDouble

    double readDouble()
               throws SerializationException

Throws:
  `SerializationException`

#### readFloat

    float readFloat()
             throws SerializationException

Throws:
  `SerializationException`

#### readInt

    int readInt()
         throws SerializationException

Throws:
  `SerializationException`

#### readLong

    long readLong()
           throws SerializationException

Throws:
  `SerializationException`

#### readObject

    java.lang.Object readObject()
                         throws SerializationException

Throws:
  `SerializationException`

#### readShort

    short readShort()
             throws SerializationException

Throws:
  `SerializationException`

#### readString

    java.lang.String readString()
                         throws SerializationException

Throws:
  `SerializationException`